Page MenuHomePhabricator

R600/SI: Fix operand types for v_sub_f64 pseudo
ClosedPublic

Authored by arsenm on Jan 21 2015, 1:22 PM.

Details

Reviewers
arsenm
Summary

This would never use SGPRs or inline immediates. This is really going to be v_add_f64, so use the same operand types.

Diff Detail

Event Timeline

arsenm updated this revision to Diff 18550.Jan 21 2015, 1:22 PM
arsenm retitled this revision from to R600/SI: Fix operand types for v_sub_f64 pseudo .
arsenm updated this object.
arsenm edited the test plan for this revision. (Show Details)
arsenm added a subscriber: Unknown Object (MLST).
arsenm updated this revision to Diff 20122.Feb 17 2015, 3:55 PM

Fully remove pseudo. Depends on fmad patches for some tests to not fail

arsenm accepted this revision.Feb 20 2015, 2:16 PM
arsenm added a reviewer: arsenm.

r230072

This revision is now accepted and ready to land.Feb 20 2015, 2:16 PM
arsenm closed this revision.Feb 20 2015, 2:17 PM